Skip to content
POST/{organizationId}/work/todo/items/{itemId}/review

Decide todo review

Accepts or rejects the active review of a todo

Path Parameters

organizationIdstringrequired
itemIdstringrequired

Request Body required

Content-Type: application/json

roundintegerrequired

maximum: 9007199254740991

exclusiveMinimum: 0

decisionstringrequired

Options:

acceptedrejected
notestringrequired

maxLength: 4000

Authentication: X-API-Key

Request

POST/{organizationId}/work/todo/items/{itemId}/review
curl --request POST 'https://cloud.campai.com/api/{organizationId}/work/todo/items/{itemId}/review' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "round": 1,
  "decision": "accepted",
  "note": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}